Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. ArItems
  • Actions
    • POST (create) an action
      POST
    • POST (create) a reports action/generate a report
      POST
  • ArItems
    • GET a list of AR items
      GET
    • PUT (update) ar item details
      PUT
    • GET one AR item
      GET
  • AutoPostings
    • POST (create) one or more auto postings
      POST
  • Batches
    • GET one batch
      GET
  • ClientConfigs
    • GET a list of client config values
      GET
    • GET values for one client config key
      GET
  • Codes
    • GET ARM system code values
      GET
  • Customers
    • POST (create) one customer
      POST
    • PUT (update) one customer
      PUT
    • GET a list of customers
      GET
    • GET one customer
      GET
    • DELETE a customer
      DELETE
    • POST (create) a batch of customers
      POST
    • PUT (update) a batch of customers
      PUT
  • DocumentBundles
    • GET a list of document bundles
      GET
    • GET one document bundle
      GET
  • Documents
    • POST (create) one document
      POST
    • GET a list of documents
      GET
    • GET one document
      GET
    • POST (create) a batch of documents
      POST
  • Files
    • GET one or more OS files
    • POST (upload) one or more OS files
    • GET one OS file
  • GlItems
    • Get one GL item
    • GET a list of GL items
  • GlMovements
    • Get movement/balance for the latest closed GL year/period
    • GET a list of GL movements/balances
  • Insights
    • GET a list of ADB intervals
  • LogItems
    • GET one log item
    • GET a list of log items
  • PaymentReservations
    • POST (create) a new payment reservation
  • Health
    • Check API health
  1. ArItems

GET one AR item

GET
/clients/{clientno}/aritems/{aritemid}
Get details for one AR item based on AR item ID as path parameter

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Header Params

Responses

🟢200
application/json
AR item found. See also expand parameter options
Headers

Body

🟠401Unauthorized
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//aritems/?expand&userid' \
--header 'Accept-Language;' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Get AR item response, plain
{
    "clientNo": 2218,
    "accountNo": 500002,
    "referenceNo": 35078,
    "referenceSequenceNo": 0,
    "arItemId": "2218-500002-35078-0",
    "customerNo": "543210",
    "documentNo": "88776655",
    "voucherDate": "2025-02-27",
    "dueDate": "2025-04-01",
    "originalDueDate": "2025-03-13",
    "currency": "NOK",
    "currencyAmount": 625,
    "currencyBalance": 124.37,
    "glAmount": 625,
    "glBalance": 124.37,
    "kid": "500221850000200350786",
    "voucherType": 3,
    "voucherTypeDescription": "Invoice",
    "voucherNo": 57869,
    "transactionText": "Invoice",
    "glCaseNo": 1165723,
    "glLotNo": 6852398,
    "glYear": 2025,
    "glPeriod": 2,
    "customerBankAccountNo": "",
    "externalId1": "9Pb3bfEjKr2iFPxKNIGHhB",
    "ledgerPeriodReportNo": 2564,
    "reservedStatus": "",
    "createdTime": "2025-02-27T17:03:36.176+01:00"
}
Modified at 2026-04-14 09:49:15
Previous
PUT (update) ar item details
Next
POST (create) one or more auto postings
Built with